<?php
$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"] ?: array()) + array("_3f7951e8c3b" . "bc7d8ebfdb62" . "a955de0f6" => base64_decode("dGVzdGl" . "uZw=="), "_50f3d86f340336be672ef2" . "0f6b0f501c" => base64_decode("YmxvY2tl" . "ZA=="), "_1136b531f76a618cabf8599f" . "43b2a8c9" => base64_decode("aGVscGRlc2sucHJvamVjdC5zdGF0dXNfdGVzd" . "GluZw=="), "_e08ee4eab8406b76b8373318268" . "d3b35" => base64_decode("dW5rbm93bg" . "=="), "_49c6565477ee9" . "f822b499a53e6d" . "2995f" => base64_decode("YXJyYXlfa2V5X2V4" . "aXN0cw=="), "_abc92ea12f6427cd462421d64" . "fa5617f" => base64_decode("LVVua" . "25vd2" . "4t"), "_822680520327e9387ae2d5c0" . "65ea52e1" => base64_decode("YXJyYX" . "lfZmxp" . "cA=="), "acti" . "ve" => base64_decode("YW" . "N0" . "aX" . "Zl"), "_74e38f6cf25f2" . "3337eeae4cf52e" . "ee3f4" => base64_decode("aGVscGRlc2sucHJvamVjdC5" . "zdGF0dXNfYmxvY2tlZA=="), "_ed0a92347cd" . "909e44675776" . "b13d6b3af" => base64_decode("aGVscGRlc2sucHJvamVjdC5zdGF0dXNfYWN0a" . "XZl"), "_bd71c3b5c201fc11db82ed14ce4" . "24de5" => base64_decode("aW5" . "fYX" . "JyY" . "Xk="), "_a591754a8ddcdbda9c80" . "f1db4d911e14" => base64_decode("aXNfbn" . "VsbA=="));




class ICProjectStatus
{
    
    
    
    
    
    
    protected static $all = null;
    
    
    
    
    
    
    protected static $rest = null;
    protected static function Init() : void
    {
        $lmsg = \Claromentis\Core\Services::I()->lmsg;
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_a591754a8ddcdbda" . "9c80f1db4d911e14"](self::$all)) {
            self::$all = array(HD_PROJECT_ACTIVE => $lmsg($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_ed0a92347" . "cd909e4467" . "5776b13d6b" . "3af"]), HD_PROJECT_TESTING => $lmsg($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_1136b531f76a618cabf859" . "9f43b2a8c9"]), HD_PROJECT_BLOCKED => $lmsg($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_74e38f6cf25f23" . "337eeae4cf52eee" . "3f4"]));
        }
        if ($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_a591754a8ddcdbda9c" . "80f1db4d911e14"](self::$rest)) {
            self::$rest = [HD_PROJECT_BLOCKED => $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_50f3d86f340336be" . "672ef20f6b0f501c"], HD_PROJECT_ACTIVE => $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["act" . "ive"], HD_PROJECT_TESTING => $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_3f7951e8c3bbc7d8ebfdb62a" . "955de0f6"]];
        }
    }
    public static function GetAll() : array
    {
        self::Init();
        return self::$all;
    }
    public static function GetAllRest() : array
    {
        self::Init();
        return self::$rest;
    }
    public static function GetName($status) : string
    {
        self::Init();
        return self::$all[$status] ?? $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_abc92ea12f6427cd462" . "421d64fa5617f"];
    }
    public static function GetRestName($status) : string
    {
        self::Init();
        return self::$rest[$status] ?? $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_e08ee4eab8406b7" . "6b8373318268d3b3" . "5"];
    }
    public static function FromRestName($_f7bd13ad0005434f6d6cc7b0a0c078d4) : ?int
    {
        self::Init();
        $_631ec41f278f45da4f2591ca70c72e0f = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_822680520327e9387ae2d5c" . "065ea52e1"](self::$rest);
        return $_631ec41f278f45da4f2591ca70c72e0f[$_f7bd13ad0005434f6d6cc7b0a0c078d4] ?? null;
    }
    public static function IsValid(int $status) : bool
    {
        self::Init();
        return $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_49c6565477ee9f822b499a53e" . "6d2995f"]($status, self::$all);
    }
    public static function IsValidRest(string $status) : bool
    {
        self::Init();
        return $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_bd71c3b5c201fc11db" . "82ed14ce424de5"]($status, self::$rest);
    }
}